package carfactory;

public class ChassisAssemblerRobot extends RobotWorker{
	public ChassisAssemblerRobot(String name, ConveyorBelt conveyorBelt, Supplier supplier, Car car) {
		super(name,conveyorBelt,supplier,car);
	}
	
	@Override
	public void run(){
		try {
			supplier.getMaterial();
			car.assembleChassis();
			finish();
			conveyorBelt.move();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
