package game;

public enum Move {
    ROCK, PAPER, SCISSORS;

    public Result compareMoves(Move otherMove) {
        if (this == otherMove)
            return Result.TIE;

        switch (this) {
        case ROCK:
            return (otherMove == SCISSORS ? Result.WIN : Result.LOSE);
        case PAPER:
            return (otherMove == ROCK ? Result.WIN : Result.LOSE);
        case SCISSORS:
            return (otherMove == PAPER ? Result.WIN : Result.LOSE);
        }

        // Should never reach here
        return Result.TIE;
    }
}